- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions.offers/batchGet.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions.offers/batchGet.md.txt#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions.offers/batchGet.md.txt#body.request_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions.offers/batchGet.md.txt#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions.offers/batchGet.md.txt#body.response_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions.offers/batchGet.md.txt#body.BatchGetOneTimeProductOffersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions.offers/batchGet.md.txt#body.aspect)
- [GetOneTimeProductOfferRequest](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions.offers/batchGet.md.txt#GetOneTimeProductOfferRequest)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions.offers/batchGet.md.txt#GetOneTimeProductOfferRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions.offers/batchGet.md.txt#try-it)

Reads one or more one-time product offers.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/oneTimeProducts/{productId}/purchaseOptions/{purchaseOptionId}/offers:batchGet`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Required. The parent app (package name) of the offers to retrieve. Must be equal to the packageName field on all the requests. |
| `productId` | `string` Required. The product ID of the parent one-time product, if all offers belong to the same product. If this request spans multiple one-time products, set this field to "-". |
| `purchaseOptionId` | `string` Required. The parent purchase option (ID) for which the offers should be retrieved. May be specified as '-' to retrieve offers from multiple purchase options. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`GetOneTimeProductOfferRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`GetOneTimeProductOfferRequest`)`` Required. A list of get requests of up to 100 elements. All requests must retrieve different offers. |

### Response body

Response message for the offers.batchGet endpoint.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "oneTimeProductOffers": [ { object (`OneTimeProductOffer`) } ] } ``` |

| Fields ||
|---|---|
| `oneTimeProductOffers[]` | ``object (`OneTimeProductOffer`)`` The list of requested one-time product offers, in the same order as the request. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`

## GetOneTimeProductOfferRequest

Request message for GetOneTimeProductOffers.

| JSON representation |
|---|
| ``` { "packageName": string, "productId": string, "purchaseOptionId": string, "offerId": string } ``` |

| Fields ||
|---|---|
| `packageName` | `string` Required. The parent app (package name) of the offer to get. |
| `productId` | `string` Required. The parent one-time product (ID) of the offer to get. |
| `purchaseOptionId` | `string` Required. The parent purchase option (ID) of the offer to get. |
| `offerId` | `string` Required. The unique offer ID of the offer to get. |